﻿$ErrorActionPreference = 'Stop';
 
$packageName= 'DatabaseMaster'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'http://www.nucleonsoftware.com/download/DatabaseMasterSetup.msi'
 
$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'msi' # 'EXE_MSI_OR_MSU' #only one of these: exe, msi, msu
  url           = $url
  #url64bit      = $url64
  #file         = $fileLocation
 
  #MSI
  silentArgs    = "/qn /norestart" # /l*v `"$env:TEMP\chocolatey\$($packageName)\$($packageName).MsiInstall.log`"" # ALLUSERS=1 DISABLEDESKTOPSHORTCUT=1 ADDDESKTOPICON=0 ADDSTARTMENU=0
  validExitCodes= @(0, 3010, 1641)
   
  # optional, highly recommended
  softwareName  = 'databasemaster*' #part or all of the Display Name as you see it in Programs and Features. It should be enough to be unique
  checksum      = ''
  checksumType  = 'md5' #default is md5, can also be sha1
  #checksum64    = ''
  #checksumType64= 'md5' #default is checksumType
}
 
try { 
Install-ChocolateyPackage @packageArgs
} catch {
  Write-ChocolateyFailure $packageName $($_.Exception.Message)
  throw 
}


